Bug 190369 - net-mgmt/torrus port update to 2.07 and build error fixes
Summary: net-mgmt/torrus port update to 2.07 and build error fixes
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: William Grzybowski
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-05-29 13:10 UTC by Alexander Shikov
Modified: 2014-06-25 13:20 UTC (History)
2 users (show)

See Also:


Attachments
file.diff (3.21 KB, patch)
2014-05-29 13:10 UTC, Alexander Shikov
no flags Details | Diff
New complete patch for converting the port from 2.05 to 2.07 including pod fixes for perl 5.18+ (3.41 KB, patch)
2014-06-09 15:17 UTC, corsmith
no flags Details | Diff
patch-torrus-2.07.txt (3.66 KB, patch)
2014-06-09 16:50 UTC, corsmith
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Shikov 2014-05-29 13:10:00 UTC
net-mgmt/torrus port is older than actual version of software.
Also there are some build errors because of syntax errors in .pod.in files, I hope they will be fixed later by software developer(s):

# cd /usr/ports/net-mgmt/torrus
# make
===>  License GPLv2 accepted by the user
===>   torrus-2.05_1 depends on file: /usr/local/sbin/pkg - found
===> Fetching all distfiles required by torrus-2.05_1 for building
===>  Extracting for torrus-2.05_1
=> SHA256 Checksum OK for torrus-2.05.tar.gz.
===>  Patching for torrus-2.05_1
===>  Applying FreeBSD patches for torrus-2.05_1
[...]
/usr/local/bin/pod2text snmpdiscovery.pod > snmpdiscovery.txt
/usr/local/bin/pod2text stylingprofile.pod > stylingprofile.txt
stylingprofile.pod around line 207: Expected '=item *'
POD document had syntax errors at /usr/local/bin/pod2text line 84.
*** [stylingprofile.txt] Error code 255
1 error
*** [all-recursive] Error code 1
1 error
*** [all-recursive] Error code 1
1 error
===> Compilation failed unexpectedly.
Try to set MAKE_JOBS_UNSAFE=yes and rebuild before reporting the failure to
the maintainer.
*** [do-build] Error code 1

Stop in /usr/ports/net-mgmt/torrus.

Fix: Patch for the port is attached.

Patch attached with submission follows:
How-To-Repeat: # cd /usr/ports/net-mgmt/torrus
# make
Comment 1 Edwin Groothuis freebsd_committer 2014-05-29 13:10:04 UTC
Maintainer of net-mgmt/torrus,

Please note that PR ports/190369 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/190369

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2014-05-29 13:10:05 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 corsmith 2014-06-09 15:17:29 UTC
Created attachment 143567 [details]
New complete patch for converting the port from 2.05 to 2.07 including pod fixes for perl 5.18+
Comment 4 corsmith 2014-06-09 15:20:08 UTC
a.shikov@itcons.net.ua thanks for the patch.

The pkg-plist was missing one file so I updated it.

Edwin, Please commit the new patch I just attached.  It is a complete patch based off of HEAD in svn.
Comment 5 corsmith 2014-06-09 16:50:11 UTC
Created attachment 143570 [details]
patch-torrus-2.07.txt

New complete patch from SVN head which also supports STAGEDIR (includes all other patches)